---
title: "Create for entity"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › startup-engagement-invitations

`POST /v2/entities/{entityId}/engagement-invitations`

## Path parameters

- `entityId` (`startup-engagement-invitations-create-for-entity.path.entityId`; string, required)
  - format `uuid`

## Request body

Any of:

- `object`
  - `relationshipId` (`startup-engagement-invitations-create-for-entity.1.relationshipId`; string, required)
    - format `uuid`
  - `targetLabel` (`startup-engagement-invitations-create-for-entity.1.targetLabel`; string, required)
    - minLength 1; maxLength 200
  - `idempotencyKey` (`startup-engagement-invitations-create-for-entity.1.idempotencyKey`; string, required)
    - format `uuid`
  - `kind` (`startup-engagement-invitations-create-for-entity.1.kind`; string, required)
    - one of `"meeting"`
  - `meetingUrl` (`startup-engagement-invitations-create-for-entity.1.meetingUrl`; string, required)
    - format `uri`
  - `message` (`startup-engagement-invitations-create-for-entity.1.message`; string, optional)
    - minLength 1; maxLength 2000
  - `scheduledAt` (`startup-engagement-invitations-create-for-entity.1.scheduledAt`; string, optional)
    - format `date-time`
- `object`
  - `relationshipId` (`startup-engagement-invitations-create-for-entity.2.relationshipId`; string, required)
    - format `uuid`
  - `targetLabel` (`startup-engagement-invitations-create-for-entity.2.targetLabel`; string, required)
    - minLength 1; maxLength 200
  - `idempotencyKey` (`startup-engagement-invitations-create-for-entity.2.idempotencyKey`; string, required)
    - format `uuid`
  - `kind` (`startup-engagement-invitations-create-for-entity.2.kind`; string, required)
    - one of `"report"`
  - `reportId` (`startup-engagement-invitations-create-for-entity.2.reportId`; string, required)
    - format `uuid`
  - `message` (`startup-engagement-invitations-create-for-entity.2.message`; string, optional)
    - minLength 1; maxLength 2000
- `object`
  - `relationshipId` (`startup-engagement-invitations-create-for-entity.3.relationshipId`; string, required)
    - format `uuid`
  - `targetLabel` (`startup-engagement-invitations-create-for-entity.3.targetLabel`; string, required)
    - minLength 1; maxLength 200
  - `idempotencyKey` (`startup-engagement-invitations-create-for-entity.3.idempotencyKey`; string, required)
    - format `uuid`
  - `kind` (`startup-engagement-invitations-create-for-entity.3.kind`; string, required)
    - one of `"capital_objective"`
  - `capitalObjectiveId` (`startup-engagement-invitations-create-for-entity.3.capitalObjectiveId`; string, required)
    - format `uuid`
  - `message` (`startup-engagement-invitations-create-for-entity.3.message`; string, optional)
    - minLength 1; maxLength 2000

## Example request

```json
{
  "relationshipId": "928dd5b8-3ead-4528-bdef-9c0b867a5d7d",
  "targetLabel": "string",
  "message": "string",
  "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1",
  "kind": "meeting",
  "meetingUrl": "http://example.com",
  "scheduledAt": "2019-08-24T14:15:22Z"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/engagement-invitations' \
  --header 'Content-Type: application/json' \
  --data '
{
  "relationshipId": "928dd5b8-3ead-4528-bdef-9c0b867a5d7d",
  "targetLabel": "string",
  "message": "string",
  "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1",
  "kind": "meeting",
  "meetingUrl": "http://example.com",
  "scheduledAt": "2019-08-24T14:15:22Z"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/engagement-invitations';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    relationshipId: '928dd5b8-3ead-4528-bdef-9c0b867a5d7d',
    targetLabel: 'string',
    message: 'string',
    idempotencyKey: '0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1',
    kind: 'meeting',
    meetingUrl: 'http://example.com',
    scheduledAt: '2019-08-24T14:15:22Z'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/engagement-invitations"

payload = {
    "relationshipId": "928dd5b8-3ead-4528-bdef-9c0b867a5d7d",
    "targetLabel": "string",
    "message": "string",
    "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1",
    "kind": "meeting",
    "meetingUrl": "http://example.com",
    "scheduledAt": "2019-08-24T14:15:22Z"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "startupListingId": "d16a646b-f433-44ce-aaae-42761cf79f25",
    "relationshipId": "928dd5b8-3ead-4528-bdef-9c0b867a5d7d",
    "recipientPrincipal": {
      "type": "user",
      "id": "string"
    },
    "recipientUserIds": [
      "string"
    ],
    "kind": "meeting",
    "targetLabel": "string",
    "message": "string",
    "meetingUrl": "http://example.com",
    "scheduledAt": "2019-08-24T14:15:22Z",
    "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",
    "capitalObjectiveId": "8ac32681-95ce-46a0-95c6-18dd3f823038",
    "status": "sent",
    "invitedByUserId": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`startup-engagement-invitations-create-for-entity.response.201.data`; object, required)
  - `id` (`startup-engagement-invitations-create-for-entity.response.201.data.id`; string, required)
    - format `uuid`
  - `startupListingId` (`startup-engagement-invitations-create-for-entity.response.201.data.startupListingId`; string, required)
    - format `uuid`
  - `relationshipId` (`startup-engagement-invitations-create-for-entity.response.201.data.relationshipId`; string, required)
    - format `uuid`
  - `recipientPrincipal` (`startup-engagement-invitations-create-for-entity.response.201.data.recipientPrincipal`; object, required)
    - `type` (`startup-engagement-invitations-create-for-entity.response.201.data.recipientPrincipal.type`; string, required)
      - one of `"user"`, `"entity"`, `"organization"`
    - `id` (`startup-engagement-invitations-create-for-entity.response.201.data.recipientPrincipal.id`; string, required)
      - minLength 1
  - `recipientUserIds` (`startup-engagement-invitations-create-for-entity.response.201.data.recipientUserIds`; array<string>, required)
    - minLength 1
  - `kind` (`startup-engagement-invitations-create-for-entity.response.201.data.kind`; string, required)
    - one of `"meeting"`, `"report"`, `"capital_objective"`
  - `targetLabel` (`startup-engagement-invitations-create-for-entity.response.201.data.targetLabel`; string, required)
    - minLength 1; maxLength 200
  - `message` (`startup-engagement-invitations-create-for-entity.response.201.data.message`; string, required, nullable)
    - minLength 1; maxLength 2000
  - `meetingUrl` (`startup-engagement-invitations-create-for-entity.response.201.data.meetingUrl`; string, required, nullable)
    - format `uri`
  - `scheduledAt` (`startup-engagement-invitations-create-for-entity.response.201.data.scheduledAt`; string, required, nullable)
    - format `date-time`
  - `reportId` (`startup-engagement-invitations-create-for-entity.response.201.data.reportId`; string, required, nullable)
    - format `uuid`
  - `capitalObjectiveId` (`startup-engagement-invitations-create-for-entity.response.201.data.capitalObjectiveId`; string, required, nullable)
    - format `uuid`
  - `status` (`startup-engagement-invitations-create-for-entity.response.201.data.status`; string, required)
    - one of `"sent"`, `"cancelled"`
  - `invitedByUserId` (`startup-engagement-invitations-create-for-entity.response.201.data.invitedByUserId`; string, required)
    - minLength 1
  - `createdAt` (`startup-engagement-invitations-create-for-entity.response.201.data.createdAt`; string, required)
    - format `date-time`
- `meta` (`startup-engagement-invitations-create-for-entity.response.201.meta`; object, optional)
  - `timestamp` (`startup-engagement-invitations-create-for-entity.response.201.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-engagement-invitations-create-for-entity.response.400.error`; object, required)
  - `code` (`startup-engagement-invitations-create-for-entity.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-engagement-invitations-create-for-entity.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-engagement-invitations-create-for-entity.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-engagement-invitations-create-for-entity.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-engagement-invitations-create-for-entity.response.401.error`; object, required)
  - `code` (`startup-engagement-invitations-create-for-entity.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-engagement-invitations-create-for-entity.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-engagement-invitations-create-for-entity.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-engagement-invitations-create-for-entity.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-engagement-invitations-create-for-entity.response.403.error`; object, required)
  - `code` (`startup-engagement-invitations-create-for-entity.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-engagement-invitations-create-for-entity.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-engagement-invitations-create-for-entity.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-engagement-invitations-create-for-entity.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-engagement-invitations-create-for-entity.response.404.error`; object, required)
  - `code` (`startup-engagement-invitations-create-for-entity.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-engagement-invitations-create-for-entity.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-engagement-invitations-create-for-entity.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-engagement-invitations-create-for-entity.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-engagement-invitations-create-for-entity.response.409.error`; object, required)
  - `code` (`startup-engagement-invitations-create-for-entity.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-engagement-invitations-create-for-entity.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-engagement-invitations-create-for-entity.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-engagement-invitations-create-for-entity.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-engagement-invitations-create-for-entity.response.500.error`; object, required)
  - `code` (`startup-engagement-invitations-create-for-entity.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-engagement-invitations-create-for-entity.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-engagement-invitations-create-for-entity.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-engagement-invitations-create-for-entity.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-engagement-invitations-create-for-entity/index.md
